Cannoli_2.12: Core 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  object Cannoli

  Implicits on Cannoli function source data sets.

  Implicits on Cannoli function source data sets.

  Definition Classes
    cannoli
- CannoliAlignmentDataset
- CannoliFeatureDataset
- CannoliFragmentDataset
- CannoliReadDataset
- CannoliSequenceDataset
- CannoliVariantContextDataset

c

org.bdgenomics.cannoli.Cannoli

# CannoliReadDataset 

###

#### implicit class CannoliReadDataset extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliReadDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CannoliReadDataset(reads: ReadDataset)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def alignWithBowtie2(args: SingleEndBowtie2Args): AlignmentDataset

   Align the unaligned single-end reads in this ReadDataset with Bowtie 2 via Cannoli.

   Align the unaligned single-end reads in this ReadDataset with Bowtie 2 via Cannoli.

   args

     Bowtie 2 function arguments.

   returns

     AlignmentDataset.

5.  def alignWithBwaMem(args: BwaMemArgs): AlignmentDataset

   Align the unaligned single-end reads in this ReadDataset with bwa mem via Cannoli.

   Align the unaligned single-end reads in this ReadDataset with bwa mem via Cannoli.

   args

     Bwa mem function arguments.

   returns

     AlignmentDataset.

6.  def alignWithBwaMem2(args: BwaMem2Args): AlignmentDataset

   Align the unaligned single-end reads in this ReadDataset with Bwa-mem2 via Cannoli.

   Align the unaligned single-end reads in this ReadDataset with Bwa-mem2 via Cannoli.

   args

     Bwa-mem2 function arguments.

   returns

     AlignmentDataset.

7.  def alignWithMinimap2(args: Minimap2Args): AlignmentDataset

   Align the unaligned single-end reads in this ReadDataset with Minimap2 via Cannoli.

   Align the unaligned single-end reads in this ReadDataset with Minimap2 via Cannoli.

   args

     Minimap2 function arguments.

   returns

     AlignmentDataset.

8.  def alignWithStar(args: SingleEndStarArgs): AlignmentDataset

   Align the unaligned single-end reads in this ReadDataset with STAR-Mapper via Cannoli.

   Align the unaligned single-end reads in this ReadDataset with STAR-Mapper via Cannoli.

   args

     STAR-Mapper function arguments.

   returns

     AlignmentDataset.

9.  def alignWithUnimap(args: UnimapArgs): AlignmentDataset

   Align the unaligned single-end reads in this ReadDataset with Unimap via Cannoli.

   Align the unaligned single-end reads in this ReadDataset with Unimap via Cannoli.

   args

     Unimap function arguments.

   returns

     AlignmentDataset.

10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped